Create a destination
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/destinations/ \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2,
"partition_tag_key": "<string>"
},
"label": "<string>",
"credential_id": "<string>",
"capacity_domain_id": "<string>"
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/destinations/"
payload = {
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": True,
"default": "ack"
},
"response_time_sla_ms": 2,
"partition_tag_key": "<string>"
},
"label": "<string>",
"credential_id": "<string>",
"capacity_domain_id": "<string>"
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'webhook',
config: {
url: '<string>',
headers: {},
signaling: {enabled: true, default: 'ack'},
response_time_sla_ms: 2,
partition_tag_key: '<string>'
},
label: '<string>',
credential_id: '<string>',
capacity_domain_id: '<string>'
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/destinations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2,
"partition_tag_key": "<string>"
},
"capacity_domain_ids": [
"<string>"
],
"deleted_at": "2023-11-07T05:31:56Z",
"tags": {},
"credential_id": "<string>"
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Create a destination
PUT
/
v1
/
orgs
/
{org_id}
/
destinations
/
Create a destination
Authorizations
Path Parameters
Pattern:
^[0-9]+$Body
application/json